Gemini Omni 1.1 Flash
Text to VideoImage to VideoReference to VideoFrom $0.03 / s
Google Omni 1.1 Flash generates and edits videos from multimodal inputs with conversational refinement, video extension, and resolution upscaling.
Input
Mode
Complete required fields to see price
Text To Video · 5s
Idle output unavailable
| Duration | Resolution | Type | Price |
|---|---|---|---|
| output second | 360p | Image to Video | $0.03 / s |
| Reference to Video | $0.03 / s | ||
| Text to Video | $0.03 / s | ||
| 720p | Image to Video | $0.1002 / s | |
| Reference to Video | $0.1002 / s | ||
| Text to Video | $0.1002 / s | ||
| 1080p | Image to Video | $0.15 / s | |
| Reference to Video | $0.15 / s | ||
| Text to Video | $0.15 / s | ||
| 4K | Image to Video | $0.30 / s | |
| Reference to Video | $0.30 / s | ||
| Text to Video | $0.30 / s |
Endpoint
POST
https://pollo.ai/api/platform/v1/generation/google/gemini-omni-1-1-flash/videoMode
Authentication
Pass your API key in the x-api-key request header.
x-api-key: YOUR_API_KEYView API KeysSubmit Task
Create a model generation task.
Request
curl -X POST 'https://pollo.ai/api/platform/v1/generation/google/gemini-omni-1-1-flash/video' \
-H 'Content-Type: application/json' \
-H 'x-api-key: YOUR_API_KEY' \
-d '{
"input": {
"prompt": "A close-up of raindrops rippling across a still pond in slow motion, natural daylight",
"aspectRatio": "16:9",
"duration": 5
}
}'Response (200)
{
"taskId": "task_01HZ7Q2V8J3E4T6Y9K0M1N2P3",
"status": "pending"
}Check Status
Poll the task status endpoint until generation completes.
HTTP request
GET /api/platform/v1/generation/{taskId}/status HTTP/1.1
Host: pollo.ai
x-api-key: YOUR_API_KEYResponse (200)
{
"taskId": "task_01HZ7Q2V8J3E4T6Y9K0M1N2P3",
"credit": 12,
"costUsd": 0.12,
"generations": [
{
"id": "generation_01",
"createdDate": "2026-07-13T07:00:00.000Z",
"updatedDate": "2026-07-13T07:00:12.000Z",
"status": "succeeded",
"failMsg": null,
"url": "https://example.com/output.mp4",
"mediaType": "video"
}
]
}Webhook
Optionally include webhookUrl to receive a callback when the task succeeds or fails.
Optional request field
{
"input": {
"prompt": "A close-up of raindrops rippling across a still pond in slow motion, natural daylight",
"aspectRatio": "16:9",
"duration": 5
},
"webhookUrl": "https://example.com/webhooks/pollo"
}Schema
Input fields for the selected endpoint and mode.
| Field | Type | Required | Description |
|---|---|---|---|
| prompt | string | Yes | Text prompt describing the content to generate. |
| aspectRatio | string | No | Output aspect ratio, as width:height (e.g. 16:9). |
| duration | integer | No | The duration of the generated video, in seconds. |
| resolution | string | No | Output resolution of the generated media (e.g. 720p, 1080p, 2K, 4K). Values are case-insensitive. |
Errors
Common public API response codes.
- 400
- Invalid input or model constraint
- 401
- Missing or invalid API key
- 403
- API key does not have access
- 404
- Model or task was not found
Model documentation is coming soon.